# Namespace Entropy Ceremony

This is a ceremony for generating and sharding entropy to a set of existing Quorum Keys.

## Requirements

{{ #include ../../operator-requirements.md:requirements }}

* [SD Card Pack](../procurer/procure-sd-card-pack.md)

* [Ceremony SD Card](../operator/ceremony-sd-card-provisioning.md) 

* [High Visibility Storage](TODO): plastic container or bag that's used to keep items while not in use in a visible location like the middle of a desk.

## Procedure 

{{ #include template-ceremony-setup.md:content }}

1. Plug the Ceremony SD card into the machine 

1. Run the command to generate new entropy and shard it to quorum of public certificates of the input shardfile:

    * Replace the values: <path_to_input_shard>, <pgp_cert_id>

	* `keyfork wizard generate-shard-secret --shard-to shardfile.asc --output shardfile.new.asc --cert-output keyring.new.asc --derive-openpgp-cert encryption_cert.new.asc,userid=<user_id>` TODO: NOT IMPLEMENTED

1. Unseal an SD card pack

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-unsealing}}

1. Place all unsealed SD cards into High Visibility Storage

1. Back up the newly generated artifacts to any desired number of SD cards, and label each "Shardfile [unique_name] [date]"

    1. {{ #include ../../../../component-documents/finding-device-name.md:content }}

    1. Back up the output shardfile: 
        * `cp shardfile.new.asc /media/<device_name>/`

    1. Back up the new keyring file:

        * `cp keyring.new.asc /media/<device_name>/`

    1. Back up the root PGP certificate:
        * `cp root_pgp_cert.asc /media/<device_name>/`

    1. Each backup should be placed into High Visibility Storage after it's made

    1. Unplug the SD card and place it in High Visibility Storage

    1. Label the SD card "Shardfile [date] [namespace]"

1. Upload the newly generated artifacts into the `vaults` repository

1. Gather all the original items that were in the air-gapped bundle:

    * Air-gapped computer

    * AirgapOS SD card

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-sealing}}

